Bug 179402 - ::slotted() styles should be applied only after flattening
Summary: ::slotted() styles should be applied only after flattening
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: Safari 11
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 148695
  Show dependency treegraph
 
Reported: 2017-11-07 17:11 PST by Keanu Lee
Modified: 2020-09-24 23:15 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Keanu Lee 2017-11-07 17:11:09 PST
Per the spec https://drafts.csswg.org/css-scoping/#slotted-pseudo, the ::slotted() selector should only be applied to elements after flattening.

Example: https://jsbin.com/ruwesaj/edit?html,output

The following style:

::slotted(.hide) {
  display: none;
}

should not apply to the intermediate:

<slot class="hide"></slot>
Comment 1 Simon Fraser (smfr) 2020-09-23 09:19:55 PDT
Is this related to bug 169948?
Comment 2 Ryosuke Niwa 2020-09-24 23:15:43 PDT
(In reply to Simon Fraser (smfr) from comment #1)
> Is this related to bug 169948?

Yup. That bug is now not to be fixed given the latest discussion at CSS WG: https://github.com/w3c/csswg-drafts/issues/5482